# Marketo

The **Marketo** connector integrates with [Marketo’s marketing automation platform](https://developer.adobe.com/marketo-apis/api/mapi/), allowing you to manage leads, campaigns, and activity data in your pipelines. You can create or update leads, add them to campaigns or lists, and get activity records to support automated lead management, campaign execution, and reporting.

## **Parameters**

Configure the connector using the parameters below. Fields that support [Double Braces expressions](/documentation/connectors-and-triggers/double-braces/overview.md) are marked in the **Supports DB** column.

{% tabs fullWidth="true" %}
{% tab title="General" %}

<table data-full-width="true"><thead><tr><th>Parameter</th><th>Description</th><th>Type</th><th>Supports DB</th><th>Default</th></tr></thead><tbody><tr><td><strong>Alias</strong></td><td>Name (alias) for this connector’s output, allowing you to reference it later in the flow using <a href="/pages/rSQYqti4iIRAK8R5QdtV">Double Braces expressions</a>. Learn more.</td><td>String</td><td>❌</td><td>marketo-1</td></tr><tr><td><strong>Account</strong></td><td>The <a href="/spaces/jvO5S91EQURCEhbZOuuZ/pages/fS1QLzAg8rGSSJFwtrvy">account</a> used by the connector. Supported type: <strong>OAuth Provider</strong>.</td><td>Account</td><td>❌</td><td>N/A</td></tr><tr><td><strong>Enhanced Marketo authentication retry</strong></td><td>If enabled, the connector requests a new Access Token, triggering a retry for HTTP 401 responses and Marketo-specific errors 601 or 602 (including cases where an HTTP 200 is returned with <code>success: false</code>).</td><td>Boolean</td><td>❌</td><td>False</td></tr><tr><td><strong>Fail On Error</strong></td><td>If enabled, interrupts the pipeline execution when an error occurs. If disabled, execution continues, but the <code>"success"</code> property will be set to <code>false</code>.</td><td>Boolean</td><td>❌</td><td>False</td></tr></tbody></table>

{% endtab %}

{% tab title="API " %}

<table data-full-width="true"><thead><tr><th>Parameter</th><th>Description</th><th>Type</th><th>Supports DB</th><th>Default</th></tr></thead><tbody><tr><td><strong>BaseURL</strong></td><td>The available APIs for this connector.</td><td>String</td><td>✅</td><td>N/A</td></tr><tr><td><strong>Path</strong></td><td>The specific Marketo endpoint to be accessed. Based on the selected path, additional options may be available for configuring query parameters or other required settings. For details on each endpoint, refer to the <a href="https://developer.adobe.com/marketo-apis/api/mapi/">Marketo API Documentation</a>.</td><td>String</td><td>❌</td><td>N/A</td></tr><tr><td><strong>Method</strong></td><td>The HTTP method used for the request.</td><td>String</td><td>❌</td><td>N/A</td></tr></tbody></table>

{% endtab %}

{% tab title="Settings" %}

<table data-full-width="true"><thead><tr><th>Parameter</th><th>Description</th><th>Type</th><th>Supports DB</th><th>Default</th></tr></thead><tbody><tr><td><strong>Connect Timeout (ms)</strong></td><td>Maximum time allowed for establishing a connection, in milliseconds.</td><td>Integer</td><td>❌</td><td>30000</td></tr><tr><td><strong>Read Timeout (ms)</strong></td><td>Maximum time allowed for reading data, in milliseconds.</td><td>Integer</td><td>❌</td><td>30000</td></tr><tr><td><strong>Stop on Client Error</strong></td><td>When enabled, stops the pipeline execution if a 4xx HTTP error occurs.</td><td>Boolean</td><td>❌</td><td>False</td></tr><tr><td><strong>Stop on Server Error</strong></td><td>When enabled, stops the pipeline execution if a 5xx HTTP error occurs.</td><td>Boolean</td><td>❌</td><td>False</td></tr><tr><td><strong>Override Response Charset</strong></td><td>When enabled, replaces the charset returned by the endpoint with the one specified in the <strong>Response Charset</strong> property. Otherwise, the charset from the <strong>Content-Type</strong> header is used.</td><td>Boolean</td><td>❌</td><td>True</td></tr><tr><td><strong>Response Charset</strong></td><td>Defines the charset to be used when <strong>Override Response Charset</strong> is enabled.</td><td>String</td><td>❌</td><td>UTF-8</td></tr><tr><td><strong>Advanced Settings</strong></td><td>Advanced configurations.</td><td>Boolean</td><td>❌</td><td>False</td></tr><tr><td><strong>Raw Mode</strong></td><td>If activated, receives or sends a non-JSON payload.</td><td>Boolean</td><td>❌</td><td>False</td></tr><tr><td><strong>Raw Mode As Base64</strong></td><td>When activated, shows the response as base64.</td><td>Boolean</td><td>❌</td><td>False</td></tr><tr><td><strong>Save As Local File</strong></td><td>When activated, saves the response as a file in the local pipeline directory.</td><td>Boolean</td><td>❌</td><td>False</td></tr><tr><td><strong>Response File Name</strong> </td><td>File name or complete file path (for example, <code>tmp/processed/file.txt</code>). This parameter supports Double Braces, but the reference to account information is not allowed.</td><td>String</td><td>✅</td><td>N/A</td></tr><tr><td><strong>Allow Insecure Endpoints</strong></td><td>When activated, allows unsafe calls to HTTPS endpoints to be made.</td><td>Boolean</td><td>❌</td><td>False</td></tr><tr><td><strong>Enable Retries</strong></td><td>When activated, allows new tries in case of server errors.</td><td>Boolean</td><td>❌</td><td>False</td></tr><tr><td><strong>Number Of Retries</strong></td><td>Maximum number of tries before giving up the call.</td><td>Integer</td><td>❌</td><td>0</td></tr><tr><td><strong>Time To Wait Between Retries</strong></td><td>Maximum time between tries (in milliseconds).</td><td>Integer</td><td>❌</td><td>0</td></tr><tr><td><strong>Compress Body With GZIP</strong></td><td>When activated, allows the body to be compressed with GZIP.</td><td>Boolean</td><td>❌</td><td>False</td></tr><tr><td><strong>Force HTTP 1.1</strong></td><td>When activated, forces the request to use HTTP 1.1.</td><td>Boolean</td><td>❌</td><td>False</td></tr><tr><td><strong>Disable Connection Pooling</strong></td><td>When activated, it doesn't keep connections in a pool. Recommended for endpoints with connection reuse issues.</td><td>Boolean</td><td>❌</td><td>False</td></tr><tr><td><strong>Invalidate SSL Sessions on Every Call</strong></td><td>When activated, invalidates SSL sessions on every call. Recommended for endpoints with SSL session reuse issues. Activating the option will make the connector single-threaded - it means that every execution will be sequential for the same REST added to the pipeline canvas.</td><td>Boolean</td><td>❌</td><td>False</td></tr></tbody></table>

{% endtab %}

{% tab title="Documentation" %}

<table data-full-width="true"><thead><tr><th>Parameter</th><th>Description</th><th>Type</th><th>Supports DB</th><th>Default</th></tr></thead><tbody><tr><td><strong>Documentation</strong></td><td>Section for documenting any necessary information about the connector configuration and business rules.</td><td>String</td><td>❌</td><td>N/A</td></tr></tbody></table>
{% endtab %}
{% endtabs %}

## Asset API management

The Marketo connector supports asset management by exposing Marketo Asset API services, specifically **Folders** and **Programs**. These features are essential for organizing, creating, and managing marketing structures directly through the platform.

### Folders

Used to manage the directory structure within Marketo.

<table data-full-width="true"><thead><tr><th>Operation type</th><th>Supported actions</th></tr></thead><tbody><tr><td><strong>Read (GET)</strong></td><td><ul><li>Get Folder by ID</li><li>Get Folder by Name</li><li>Get Folder Content</li><li>Browse Folders</li></ul></td></tr><tr><td><strong>Write (POST)</strong></td><td><ul><li>Create Folder</li><li>Update Folder</li><li>Delete Folder</li></ul></td></tr></tbody></table>

### Programs

Programs are specific marketing initiatives (like webinars or email campaigns).

<table data-full-width="true"><thead><tr><th>Operation type</th><th>Supported actions</th></tr></thead><tbody><tr><td><strong>Read (GET)</strong></td><td><ul><li>Get Program by ID/Name</li><li>List by Tag</li><li>Get Smart List by Program ID</li><li>Browse Programs.</li></ul></td></tr><tr><td><strong>Write (POST)</strong></td><td><ul><li>Create</li><li>Update</li><li>Clone</li><li>Delete</li><li>Approve</li><li>Unapprove</li></ul></td></tr></tbody></table>

## **Usage example**

### **Filter lead**

Use the connector to filter one or more leads that match a specific filter type, such as email.

* **Account**: [OAuth Provider account](/documentation/developer-guide/platform-administration/settings/accounts.md#accounts-type) configured with Marketo credentials.
* **APIs**: `https://066-ACM-164.mktorest.com`
* **Path**: `/rest/v1/leads.json`
* **Method**: `GET`
* **Query {filterType}:**  `id`
* **Query {filterValues}**: `63538`

**Example response:**

```json
{
  "status": 200,
  "statusMessage": "200",
  "body": {
    "requestId": "c85#199298cf93d",
    "result": [
      {
        "id": 63538,
        "firstName": "John",
        "lastName": "Smith",
        "email": "johnsmith.teste6@example.com",
        "updatedAt": "2025-09-08T13:38:47Z",
        "createdAt": "2025-09-06T01:42:01Z"
      }
    ],
    "success": true
  },
  "headers": {
    "Connection": "keep-alive",
    "Content-Length": "228",
    "Content-Type": "application/json;charset=UTF-8",
    "Date": "Mon, 08 Sep 2025 13:38:48 GMT",
    "Server": "nginx"
  }
}

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digibee.com/documentation/connectors-and-triggers/connectors/industry-solutions/marketo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
